Subject: Re: bug#11135: gravatar slowdown

From: Dave Abrahams <[email-masked]>
Date: Tue, 10 Apr 2012 15:03:30 -0400

on Tue Apr 10 2012, Lars Magne Ingebrigtsen <larsi-AT-gnus.org> wrote:

> Dave Abrahams <[email-masked]> writes:
>
>> With gnus-treat-from-gravatar and gnus-treat-mail-gravatar set, I am
>> experiencing intolerable slowdowns... and have been for about a week.
>> For example, here's (the top of) an ELP profile from viewing a single
>> message.  I assume something relevant must have changed in the code
>> recently?
>
> Not that I know of...
>
>> gnus-summary-next-unread-article                                              1           30.152667     30.152667
>
> Eek.
>
>> gnus-gravatar-transform-address                                               3           30.055445     10.018481666
>> gravatar-retrieve                                                             8           30.054497     3.756812125
>
> This is rather puzzling.  `gravatar-retrieve' basically just calls
> `url-retrieve', and that's an asynchronous function, and shouldn't take
> much time at all.
>
> Well, actually, it's not asynchronous if it doesn't manage to resolve
> the domain name.  Could that be the problem?

It could indeed.  I'm not seeing slowdowns anymore, but I remember
having domain name resolution issues around the time of this issue.

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com